Ticket #1145 (closed defect: fixed)

Opened 9 years ago

Last modified 8 years ago

Switch to apt-get for installer

Reported by: jdreed Owned by:
Priority: normal Milestone: Raring Ringtail
Component: -- Keywords:
Cc: Fixed in version:
Upstream bug:

Description

aptitude is unable to resolve the dependencies needed to install debathena-thirdparty on precise. We should stop using it. This will also fix #1020, maybe.

Change History

comment:1 Changed 9 years ago by jdreed

I'll note that "aptitude -R" will install thirdparty just fine, and is perhaps what we want?

comment:2 Changed 9 years ago by jdreed

OK, I really think something more than "aptitude is bad at multi-arch" is going on here. We've already established  LP:974504 is an actual bug. The other issue (gettext and gettext:i386 conflicting) is wine's fault. I think something is wrong with Wine, too, because "aptitude install wine1.4-amd64" wants to pull in a bunch of i386 packages. And, oh, hey, look:  LP:954029 and  LP:975967

I'd rather not rewrite the install to workaround upstream bugs, and would rather pull wine and libcv-dev (or reduce it to libopencv-core-dev) until upstream fixes this. "aptitude -R" is very much not what we want, because it skips _all_ recommendations. What I want is "aptitude --skip-recommendations-if-they-break-things", but that doesn't exist.

comment:3 Changed 9 years ago by jdreed

The wine issue is still broken in Quantal.

comment:4 Changed 9 years ago by jdreed

auto-update 1.38 when out, so this is done for auto-update.

Installer committed in r25722, but we can't fully kill it until Hardy is gone.

comment:5 Changed 9 years ago by jdreed

  • Milestone changed from Precise Release to Randy Rhinoceros
  • Summary changed from Switch to apt-get for auto-update and installer to Switch to apt-get for installer

comment:6 Changed 8 years ago by jdreed

  • Status changed from new to closed
  • Resolution set to fixed

We did this forever ago.

Note: See TracTickets for help on using tickets.